<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <link rel="shortcut icon" type="image/x-icon" href="#{request.contextPath}/resources/favicon.ico"/>
        <title>VD Face</title>
    </h:head>
    <h:body>
        <h:panelGroup layout="block">
            <h:form transient="true">            
                <h2><p:outputLabel value="VDcom ">Контакты</p:outputLabel></h2>
                <h:commandLink>
                    <h:graphicImage width="50px" height="50px" value="/resources/images/excel.ico" />
                    <p:dataExporter target="ctView" type="xls" fileName="Contacts"/>                    
                </h:commandLink>
                <!--                <h:commandButton value="Excel Export">
                                    <p:dataExporter target="ctView" type="xls" fileName="Contacts"/>                
                                </h:commandButton>-->
                <!--<p:cache region="dtcache" key="dttable">-->
                <p:dataTable id="ctView" var="contact" value="#{dtContactView.contacts}" widgetVar="contactsTable" scrollable="false" resizableColumns="false" resizeMode="expand" 
                             emptyMessage="Контакты не найдены" filteredValue="#{dtContactView.filteredContacts}" tableStyle="table-layout: auto;" style="font-size:12px; width:100% !important; table-layout:fixed; overflow-x: hidden !important;" transient="true">
                    <p:column  headerText="Фото" width="100px" >                         
                        <h:graphicImage width="60px auto" height="60px auto" value="/resources/images/noimage.jpg" rendered="#{not contact.hasPhoto()}"/>
                        <h:graphicImage width="60px auto" height="60px auto" value="/ContactImageService?id=#{contact.contactId}" rendered="#{contact.hasPhoto()}"/>
                    </p:column>
                    <p:column filterBy="#{contact.name}" headerText="Имя"  filterMatchMode="contains" sortBy="#{contact.name}">
                        <h:outputText value="#{contact.name}" />
                    </p:column>
                    <p:column filterBy="#{contact.birthDate}" headerText="День рождения" filterMatchMode="exact" width="50px">
                        <f:facet name="filter">
                            <p:calendar id="cal1" pattern="dd.MM.yyyy" onchange="PF('contactsTable').filter()">
                                <p:ajax event="dateSelect" oncomplete="PF('contactsTable').filter()" update="ctView" />                            
                            </p:calendar>
                        </f:facet>
                        <h:outputText value="#{contact.birthDate}">
                            <f:convertDateTime type="date" pattern="dd.MM.yyyy"/>
                        </h:outputText>
                    </p:column>
                    <p:column filterBy="#{contact.account}" headerText="Компания" filterMatchMode="exact">
                        <f:facet name="filter">
                            <p:selectOneMenu onchange="PF('contactsTable').filter()" >
                                <p:ajax listener="#{dtContactView.onAccountChange()}" update="#{dtContactView.account}" />
                                <f:selectItem itemLabel="Все" itemValue="#{null}" noSelectionOption="true" />
                                <f:selectItems value="#{dtContactView.accounts}" />
                            </p:selectOneMenu>
                        </f:facet>
                        <h:outputText value="#{contact.account}" />
                    </p:column>
                    <p:column filterBy="#{contact.department}" headerText="Группа"  filterMatchMode="exact">
                        <f:facet name="filter">
                            <p:selectOneMenu onchange="PF('contactsTable').filter()" >
                                <f:selectItem itemLabel="Все" itemValue="#{null}" noSelectionOption="true" />
                                <f:selectItems value="#{contactService.departments}" />
                            </p:selectOneMenu>
                        </f:facet>
                        <h:outputText value="#{contact.department}" />
                    </p:column>
                    <p:column filterBy="#{contact.gender}" headerText="Пол"  filterMatchMode="exact">
                        <f:facet name="filter">
                            <p:selectOneMenu onchange="PF('contactsTable').filter()" >
                                <f:selectItem itemLabel="Все" itemValue="#{null}" noSelectionOption="true" />
                                <f:selectItems value="#{contactService.genders}" />
                            </p:selectOneMenu>
                        </f:facet>
                        <h:outputText value="#{contact.gender}" />
                    </p:column>
                    <p:column filterBy="#{contact.phones}" headerText="Номер телефона"  filterMatchMode="contains">
                        <h:outputText value="Внутренний: #{contact.phone}" /><br/>
                        <h:outputText value="Мобильный:  #{contact.mobilePhone}" /><br/>
                        <h:outputText value="Мобильный:  #{contact.mobilePhone2}" />
                    </p:column>
                    <p:column filterBy="#{contact.skype}" headerText="Skype" filterMatchMode="contains">
                        <h:outputText value="#{contact.skype}" />
                    </p:column>
                    <p:column filterBy="#{contact.email}" headerText="Email" filterMatchMode="contains">                        
                        <h:outputLink value="mailto:#{contact.email}">
                            <h:outputText value="#{contact.email}" />
                        </h:outputLink>

                    </p:column>
                </p:dataTable>
                <!--</p:cache>-->
            </h:form>
        </h:panelGroup>
    </h:body>
</html>

